al_path_ustr(3)

NAME

al_path_ustr - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    const ALLEGRO_USTR *al_path_ustr(const ALLEGRO_PATH *path, char delim)

DESCRIPTION

Convert a path to its string representation, i.e. optional drive, followed by directory components separated by 'delim', followed by an optional filename.

To use the current native path separator, use ALLEGRO_NATIVE_PATH_SEP for 'delim'.

The returned pointer is valid only until the path is modified in any way, or until the path is destroyed. This returns an ALLEGRO_USTR. If you need a null-terminated string instead, use al_path_cstr(3).

SINCE

5.2.3

SEE ALSO

al_path_cstr(3)